Bug 1051 - [UPDATE REQUEST] mc
: [UPDATE REQUEST] mc
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 1042
  Show dependency treegraph
 
Reported: 2012-11-07 11:27 MSK by Eugene Shatokhin
Modified: 2012-11-12 11:59 MSK (History)
2 users (show)

See Also:
RPM Package: mc
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2012-11-07 11:27:15 MSK
Advisory:
 mc was updated from version 4.8.3 to version 4.8.6

Version 4.8.6 contains several important fixes and enhancements compared to 4.8.3.
Fixes:
- Crash at Chown command
- Crash when creating relative symlink
- Partially broken loading of user-defined keymap file
- Enter on directory named '~' goes to the home one
- Cannot Copy/Move files with filename encoding change
- Cannot view compressed files named like log.1.gz (with digit in name)
- Broken synchronization with filelist and tree panels
- mcedit segfaults when aspell (en) dictionary is not installed
- mcedit segfaults after "Back from declaration" call
- Segfault when viewing HTML files with "mc -v"
- Broken 'Enter' action on a rpm file containing space character in filename
- Loss of data on copy to full partition
- as well as many other fixes.

Core-related enhancements:
- Implemented case-insensitive patterns in mc.ext bindings
- Use xdg-open by default in mc.ext.in if present to open files, fallback on current scheme otherwise
- Improve of mouse event handling in dialogs

VFS-related enhancements:
- Added SFTP support

Editor-related  enhancements:
- Code refactoring and cleanup
- Multieditor: allow edit many files in one mcedit window
- Aspell support for spell check

Several other enhancements and fixes were also made.

Build lists:
i586
https://abf.rosalinux.ru/build_lists/843707

x86-64
https://abf.rosalinux.ru/build_lists/843708

Notes:
mc 4.8.6 is already used in ROSA 2012 Desktop. As it builds OK for ROSA Marathon too and runs well there, I would like to propose this update for ROSA Marathon. Moreover, some of the bugs present in 4.8.3 but fixed in 4.8.6 have already bitten our users (e.g., see http://bugs.rosalinux.ru/show_bug.cgi?id=1042).
Comment 1 Eugene Shatokhin 2012-11-07 11:29:29 MSK
Advisory:
 mc was updated from version 4.8.3 to version 4.8.6

Build lists:
i586
https://abf.rosalinux.ru/build_lists/843707

x86-64
https://abf.rosalinux.ru/build_lists/843708
Comment 2 Alexander Petryakov 2012-11-08 00:23:21 MSK
mc-4.8.6-1
************** Advisory **************
Advisory:
 mc was updated from version 4.8.3 to version 4.8.6
**************************************
QA Verified